#include "GCMotion.h"
#include "string.h"
using namespace System;
using namespace System::Windows::Forms;

/*****************************************************************
* Function Name : 指令返回值
* Description   : 返回错误值 rtn
* Date			: 2022年8月3日
* Auther		: LWH
******************************************************************/
short gc_rtn_error(short rtn)
{
	if (rtn != RTN_CMD_SUCCESS) {
		return rtn;		// 指令执行错误
	}
}

/*****************************************************************
* Function Name : 手脉功能例程
* Description   : 略
* Date			: 2022年8月3日
* Auther		: LWH
******************************************************************/
short gc_example(void)
{
	short rtn;					// 指令返回值
	short devNum;				// 设备序号，从0开始
	short axisNum;				// 轴号，从0开始
	HAND devHandle;				// 设备句柄
	HAND axisHandle;			// 轴句柄
	HAND crdHandle;				// 坐标系句柄
	rtn = NMC_DevOpen(devNum, &devHandle);				//打开控制器
	gc_rtn_error(rtn);
	rtn = NMC_MtOpen(devHandle, axisNum, &axisHandle);	//打开轴,并获得轴句柄
	gc_rtn_error(rtn);
	rtn = NMC_MtSetSvOn(axisHandle);					//打开轴使能(根据实际情况使用)
	gc_rtn_error(rtn);

	rtn = NMC_ClrHandWheel(devHandle);			//先关闭所有手脉
	gc_rtn_error(rtn);
	rtn = NMC_SetHandWheelInput(devHandle, 256);//选择主轴为辅助编码器通道
	gc_rtn_error(rtn);
	//启动手脉，跟随倍率为，速度pulse/ms，加速度pulse/ms^2
	rtn = NMC_SetHandWheel(devHandle, 0, 5, 1, 10);
	gc_rtn_error(rtn);

	// 设置手轮跟随倍率，启动后可以随时更改倍率
	//rtn = NMC_SetHandWheelRatio(devHandle, radio);
	//gc_rtn_error(rtn);
	return 0;
}
